// pages/testcom/testcom.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    accountName: "",
    account: [
      { "name": "李小冉" },
      { "name": "李冰" },
      { "name": "李浩然" },
      { "name": "李宗盛" },
    ],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.dialog = this.selectComponent("#dialog");//通过给组件所起的id调用组件
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */

  onReady: function (e) {
    this.dialog = this.selectComponent("#dialog");//通过给组件所起的id调用组件
  },

  toggle: function (e) {
    this.dialog.toggle()
  },    //给头部添加的调出下拉框的事件
  switchAccount: function (options) {
    this.setData({
      accountName: options.detail
    })
  }, //组件内部的方法将options传递过来的数据使用上

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})